Ubuntu

User Documentation should be easier to access

Reported by Jeremy Bicha on 2011-09-27
314
This bug affects 76 people
Affects Status Importance Assigned to Milestone
Ayatana Design
Medium
Matthew Paul Thomas
Unity
Medium
Unassigned
unity (Ubuntu)
Medium
Unassigned

Bug Description

Ubuntu ships with a useful pre-installed User Guide, but it's rather difficult for users to find it.

  Amanda has always used Windows but is frustrated with her computer because it might have a virus. She hears on the radio about something new called Ubuntu that doesn't get viruses and manages to install it. The new user interface is a lot different than she was expecting so she looks for clues about how to use it.

  For Amanda to find the pre-installed Ubuntu Desktop Guide, she'll have to figure out how to open the Dash and type Help. She could also click "More Apps" and "See more results" and scroll down and find Help. Once a user has mastered the Dash enough to find Help, they already know a fair amount of what people need the Help for.

Help is one of the more important parts of the interface because it can help people find System Settings or how to troubleshoot their network or how to enable accessibility and much more. It is possible to come with a whole bunch of others user scenarios where users at all ability levels won't know how to do things without guidance.

This is a regression as every Ubuntu release before 11.04 had a Help button very prominently displayed as a default launcher in the panel next to Firefox. Even Evolution was removed in later releases but not Help.

As Phil Bull said, "I think the conclusion with help launchers is that they should be (a) *particularly* easy to discover, to the point of being obvious, but (b) unintrusive, to avoid annoying people who don't want to use them. There can be a fine line between the two, but I think a help button on the dash sounds quite sensible."

Ideas
==============
In bug 778289 the Documentation Team suggested adding a default launcher item shortcut for Help. This has the advantage of being very easy to add, even after UI Freeze. If it's done without a quicklist then it shouldn't even need translations to be updated.

Or it could be a first-run popup like is done in Windows Vista and higher or in recent releases of Linux Mint. http://beginlinux.com/images/desktop/linux-mint/linux-mint-install12.jpg

The presence of a Ubuntu help button on the default Firefox page helps with this problem but since the Google custom search on that page is so much worse than normal Google, some users quickly change their homepage to something that works better.

Some type of contextual help could be a better solution, possibly for 12.04 but we need at least a partial solution now for 11.10.

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: unity 4.18.0-0ubuntu1
Date: Tue Sep 27 04:56:19 2011

----------------------------------------------
Desired Solution:

The following changes have been signed off by the design team.

- A 'Ubuntu Help' option will be added to the system menu, see the Indicator specs at http://design.canonical.com/the-toolkit/

- The home page of the user documentation should prominently feature a link to http://askubuntu.com/

- The visual design of the user documentation should be brought into line with the Ubuntu brand. See http://design.ubuntu.com/ for the full set of brand guidelines and materials

Jeremy Bicha (jbicha) wrote :
description: updated
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in unity (Ubuntu):
status: New → Confirmed
Mirco Müller (macslow) on 2011-09-28
Changed in unity:
status: New → Opinion
importance: Undecided → Wishlist
Jeremy Bicha (jbicha) wrote :

Oh come on. We're not playing the Opinion game on this bug too.

Changed in unity:
status: Opinion → New
Mirco Müller (macslow) wrote :

Sorry, Jeremey! My bad... triage-error... seb128 just spanked me around for this :)

Changed in unity:
importance: Wishlist → Medium
Omer Akram (om26er) wrote :

marked as incomplete as till we get response from Design. Thats how unity bugs are handled.

Changed in unity (Ubuntu):
importance: Undecided → Medium
Changed in unity:
status: New → Incomplete
Changed in unity (Ubuntu):
status: Confirmed → Incomplete

On 28 September 2011 14:32, Omer Akram <email address hidden> wrote:
> marked as incomplete as till we get response from Design. Thats how
> unity bugs are handled.

That's an inappropriate usage, because Launchpad will close the bug
automatically if no response is received. "Incomplete" should be used
where further information is required from the original reporter in
order to diagnose the bug.

manny (estelar57) wrote :

hmm, i think we should also file a bug on lauchpad itself.

the "incomplete" and "opinion" thing is getting ridiculously.

There should be some "pending input [DT]" status specially for the [Design Team] (or some other )

And depending on heat and duplicates, bugs should not be dismissed without correct feedback and/or would need a second person in charge to confirm, else after some time the status is invalidate and reverted back automatically.

Things like that would really make things better around here and avoid any potential mal use of power.

Ross Brunton (ross-brunton) wrote :

Back to the issue at hand, maybe it would be a good idea for there to be a launcher on the Desktop in easy reach, or at least a (removable) indicator in the tray thing.

Didier Roche (didrocks) wrote :

@Matthew: no, the bug won't expire because there is still an upstream aytana-design task which is opened. Then, when aytana-design answer, I have a script to set the unity status to "won't fix" if aytana-design tells there is nothing to fix or set automatically back to "triaged" if a design solution is provided.

manny (estelar57) wrote :

Oh boy, they approved yet another icon in the launcher (system settings), that is Not going to Solve the heart of the problem of users not knowing their way around in ubuntu:

https://bugs.launchpad.net/ayatana-design/+bug/764744

The only thing that will solve the root is a visible user guide / tutorial / help that the user can consult each time he needs it.

We are giving users 1 fish here, instead of showing them how to fish...

Imagine i install ubuntu in an IT classroom with 50 pc's.
If students can find the help/guide easily they can start consulting it without even needing their IT teacher to go through it first and then they can show their classmates...

like i said before, education (in any way) will always be the key.

Joaquin (jknvv13) wrote :
Download full text (4.0 KiB)

The new desktop appmenu shows help, but I think it's a little bit "hidden".
El 30/09/2011 23:30, "manny" <email address hidden> escribió:

> Oh boy, they approved yet another icon in the launcher (system
> settings), that is Not going to Solve the heart of the problem of users
> not knowing their way around in ubuntu:
>
> https://bugs.launchpad.net/ayatana-design/+bug/764744
>
>
> The only thing that will solve the root is a visible user guide / tutorial
> / help that the user can consult each time he needs it.
>
> We are giving users 1 fish here, instead of showing them how to fish...
>
> Imagine i install ubuntu in an IT classroom with 50 pc's.
> If students can find the help/guide easily they can start consulting it
> without even needing their IT teacher to go through it first and then they
> can show their classmates...
>
> like i said before, education (in any way) will always be the key.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (853228).
> https://bugs.launchpad.net/bugs/860501
>
> Title:
> User Documentation should be easier to access
>
> Status in Ayatana Design:
> New
> Status in Unity:
> Incomplete
> Status in “unity” package in Ubuntu:
> Incomplete
>
> Bug description:
> Ubuntu ships with a useful pre-installed User Guide, but it's rather
> difficult for users to find it.
>
> Amanda has always used Windows but is frustrated with her computer
> because it might have a virus. She hears on the radio about something
> new called Ubuntu that doesn't get viruses and manages to install it.
> The new user interface is a lot different than she was expecting so
> she looks for clues about how to use it.
>
> For Amanda to find the pre-installed Ubuntu Desktop Guide, she'll
> have to figure out how to open the Dash and type Help. She could also
> click "More Apps" and "See more results" and scroll down and find
> Help. Once a user has mastered the Dash enough to find Help, they
> already know a fair amount of what people need the Help for.
>
> Help is one of the more important parts of the interface because it
> can help people find System Settings or how to troubleshoot their
> network or how to enable accessibility and much more. It is possible
> to come with a whole bunch of others user scenarios where users at all
> ability levels won't know how to do things without guidance.
>
> This is a regression as every Ubuntu release before 11.04 had a Help
> button very prominently displayed as a default launcher in the panel
> next to Firefox. Even Evolution was removed in later releases but not
> Help.
>
> As Phil Bull said, "I think the conclusion with help launchers is that
> they should be (a) *particularly* easy to discover, to the point of
> being obvious, but (b) unintrusive, to avoid annoying people who don't
> want to use them. There can be a fine line between the two, but I
> think a help button on the dash sounds quite sensible."
>
> Possible Solutions
> ==============
> In bug 778289 the Documentation Team suggested adding a default launcher
> item shortcut for Help. This has the advantage of being very easy to add,
> even after UI Free...

Read more...

manny (estelar57) wrote :

"Adaptable Gimp" is a good example of how something so complex can become so easy thanks to super accessible help:

http://www.youtube.com/watch?v=qP8c2R8YEb4&feature=player_embedded

manny (estelar57) wrote :

sorry, but am not convinced the design team even looks at the bugs on launchpad.

they just discuss things closed doors and then head straight to bugs marked as [UIFe] or something weird like that.

am sure this bug will stay marked as incomplete for months or years like many others around here...

Adolfo Jayme (fitoschido) wrote :

@manny: Please inform yourself.

Design team has an account in Launchpad, and they also file and answer bugs here.

You can join discussions in the mailing lists, you aren’t excluded.

UIFe means: UI Freeze exception.

manny (estelar57) wrote :

@Fitoschido

That's exactly what i was talking about, they just file and answer their own bugs.

And it seems they only discuss things in their mailing list, so one would have to submit this bug there... and maybe if they "feel" like it they might start discussing it.

@manny, I do not appreciate receiving rants in my inbox. I subscribe to bugs to get pertinent information. Kindly cease.

manny (estelar57) wrote :

@Chauncellor

sorry about your inbox, but you wont be seeing any "pertinent information" or any other info of interest about this bug any time soon. Anyway I'll kindly follow your wishes so ... [/end-rant]

Vistaus (djmusic121) wrote :

Changed to confirmed as it affects multiple users.

Changed in unity (Ubuntu):
status: Incomplete → Confirmed
Changed in unity:
status: Incomplete → Confirmed
Changed in ayatana-design:
status: New → Confirmed
Grzegorz G. (grzesiek1e5) wrote :

IMHO introduction to the Ubuntu (not only unity) should be intaractive. Imagine arrow pointing at dash icon saying "This is your main menu called Dash. Click it.". User clicks, dash opens and arrow points out all items in the dash, explains them and encourages user to try them out.

Also there should introduction designed especially for Windows users. (eg. "This is like start menu in Windows. It's called Dash. Click it.")

Joaquin (jknvv13) wrote :
Download full text (3.9 KiB)

Or Maybe like Android 4.0, draw a circle showing specific parts of the
Unity UI (the first time the session is up, and at the same time as user
"knows" and open a new part of the UI, like the Dash, etc) and telling the
function of it.
El 13/12/2011 20:06, "Grzegorz G." <email address hidden> escribió:

> IMHO introduction to the Ubuntu (not only unity) should be intaractive.
> Imagine arrow pointing at dash icon saying "This is your main menu
> called Dash. Click it.". User clicks, dash opens and arrow points out
> all items in the dash, explains them and encourages user to try them
> out.
>
> Also there should introduction designed especially for Windows users.
> (eg. "This is like start menu in Windows. It's called Dash. Click it.")
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (853228).
> https://bugs.launchpad.net/bugs/860501
>
> Title:
> User Documentation should be easier to access
>
> Status in Ayatana Design:
> Confirmed
> Status in Unity:
> Confirmed
> Status in “unity” package in Ubuntu:
> Confirmed
>
> Bug description:
> Ubuntu ships with a useful pre-installed User Guide, but it's rather
> difficult for users to find it.
>
> Amanda has always used Windows but is frustrated with her computer
> because it might have a virus. She hears on the radio about something
> new called Ubuntu that doesn't get viruses and manages to install it.
> The new user interface is a lot different than she was expecting so
> she looks for clues about how to use it.
>
> For Amanda to find the pre-installed Ubuntu Desktop Guide, she'll
> have to figure out how to open the Dash and type Help. She could also
> click "More Apps" and "See more results" and scroll down and find
> Help. Once a user has mastered the Dash enough to find Help, they
> already know a fair amount of what people need the Help for.
>
> Help is one of the more important parts of the interface because it
> can help people find System Settings or how to troubleshoot their
> network or how to enable accessibility and much more. It is possible
> to come with a whole bunch of others user scenarios where users at all
> ability levels won't know how to do things without guidance.
>
> This is a regression as every Ubuntu release before 11.04 had a Help
> button very prominently displayed as a default launcher in the panel
> next to Firefox. Even Evolution was removed in later releases but not
> Help.
>
> As Phil Bull said, "I think the conclusion with help launchers is that
> they should be (a) *particularly* easy to discover, to the point of
> being obvious, but (b) unintrusive, to avoid annoying people who don't
> want to use them. There can be a fine line between the two, but I
> think a help button on the dash sounds quite sensible."
>
> Possible Solutions
> ==============
> In bug 778289 the Documentation Team suggested adding a default launcher
> item shortcut for Help. This has the advantage of being very easy to add,
> even after UI Freeze. If it's done without a quicklist then it shouldn't
> even need translations to be updated.
>
> Or it could be a first-run popup like is done in Windows Vi...

Read more...

manny (estelar57) wrote :

Even Vodacom had to make it more accessible by adding an user guide right on the desktop where is really obvious (see pic):

http://blog.canonical.com/wp-content/uploads//2011/12/NED_0181.jpg

http://blog.canonical.com/2011/12/19/vodacom-success/

to solve this bug it needs to be something just as obvious and that OEMs can use too. No product can be without a guide that can't be spotted quickly.

Changed in ayatana-design:
assignee: nobody → Matthew Paul Thomas (mpt)
status: Confirmed → In Progress
John Lea (johnlea) on 2012-04-14
description: updated
description: updated
Changed in ayatana-design:
status: In Progress → Fix Committed
tags: added: udp

I have to say that having a small menu entry on an obscure-looking indicator at the edge of the screen is not easy to discover. Terrible, terrible solution.

I don't see what's so offensive about just having a launcher icon. Perhaps it's because there is a large amount of them already placed but surely all users don't need a spreadsheet generator at the fingertips after first install.

Add some metadata tags to impress (powerpoint) and calc (excel) so that it's easier to discover via the dash and get rid of one of them if need be. Making a user basically use the desktop before any sort of help is ludicrous. There are large, shiny buttons on the left of the screen at startup. Noone's going to look at a stirrup. I think this is something that really needs a little attention at the next user testing session. I have a fair amount of confidence that most subjects would a) not discover it or b) not need it any more if/once they do.

Changed in ayatana-design:
importance: Undecided → Medium
Matthew Paul Thomas (mpt) wrote :

Chauncellor, you're right. Two thirds of the "Desired Solution" (the Ask Ubuntu link, and the branding) has nothing to do with this bug, and the other third is unlikely to solve the problem. We can and should test this, but it would be surprising if the first thought of people needing help was "I know, let's click on the pinwheel in the top right".

I'll discuss this with other designers and come up with a real solution.

Changed in ayatana-design:
status: Fix Committed → New
Jeremy Bicha (jbicha) wrote :

Hi, I'm going to go ahead and close this bug.

"Ubuntu Help" is now (in Ubuntu 12.10 Alpha "Quantal Quetzal") a link in the system status menu at the far top right of the screen. This now gives two entry points to Help (the other is through the Dash, the first button on the launcher at the left).

http://www.omgubuntu.co.uk/2012/07/new-session-menu-lands-in-ubuntu-12-10

I still think some kind of first-start "Welcome to Ubuntu" screen would be a great additional feature, but I think that should be a separate blueprint/bug.

Changed in unity (Ubuntu):
status: Confirmed → Fix Released
Changed in unity:
status: Confirmed → Fix Released
Changed in ayatana-design:
status: New → Fix Released
tags: added: reviewedbydesignq
removed: udp
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers